#
# spec file for package irssi (Version 0.8.15)
#
# Copyright (c) 2009-2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           irssi
Version:        0.8.15
Release:        1
%define pkg_name irssi
#
License:        GPL v2 or later
Group:          Productivity/Networking/IRC
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  glib2-devel ncurses-devel openssl-devel pkgconfig
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
%if 0%{?suse_version} > 1130
BuildRequires:  perl-macros
%endif
BuildRequires:  perl 
Conflicts:      %{pkg_name}-snapshot
#
Url:            http://www.irssi.org
Source:         http://www.irssi.org/files/irssi-%{version}.tar.bz2
Source1:        irssi.desktop
Source2:        irssi.png
Source99:       irssi-rpmlintrc
Patch:          irssi-0.8.15_ssl_proxy.patch
#
Summary:        Modular, Secure, and Well Designed IRC Client
%if 0%{?suse_version} > 1130
%{perl_requires}
%else
Requires:       perl = %perl_version
%endif

%description
Irssi is a modular IRC client for UNIX that currently only has a text
mode user interface. However, 80-90% of the code is not text mode
specific, so other UIs could be created easily. Also, Irssi is not
really even IRC specific anymore. There are already working SILC and
ICB modules available. Support for other protocols, like ICQ and
Jabber, could be added some day, too.

It is the code that separates Irssi from ircII, BitchX, epic, and the
rest of the text clients. It is not using the ircII code.



Authors:
--------
    Timo Sirainen <cras@irssi.org>

%package devel
License:        GPL v2 or later
Group:          Development/Languages/C and C++
Requires:       %{pkg_name} = %{version}
#
Summary:        Development package for irssi

%description devel
This package contains the development files for irssi. It allows to
compile plugins for the irssi package.



Authors:
--------
    Timo Sirainen <cras@irssi.org>

%prep
%setup -q
#patch

%build
# cp curses.m4 acinclude.m4
#touch irssi.cvs
#NOCONFIGURE=yes ./autogen.sh
%if 0%{?sles_version} == 9
export PKG_CONFIG_PATH="/opt/gnome/%{_lib}/pkgconfig:$PKG_CONFIG_PATH"
%endif
%configure              \
		--enable-ipv6   \
		--with-bot      \
		--with-proxy    \
		--with-socks    \
		--enable-ssl    \
		--with-ncurses  \
		--with-terminfo \
		--with-perl=yes \
		--with-perl-lib=vendor
%__make %{?jobs:-j%{jobs}} all

%install
%makeinstall docdir=%{_docdir}/%{pkg_name}
%perl_process_packlist
%__rm %{buildroot}%{_libdir}/irssi/modules/libirc_proxy.{a,la}

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m0644 "%{SOURCE2}" "%{buildroot}%{_datadir}/pixmaps/irssi.png"

%if 0%{?suse_version}
%suse_update_desktop_file -r "%{name}" Network IRCClient
%endif

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/irssi.conf
%{_bindir}/botti
%{_bindir}/irssi
# modules
%dir %{_libdir}/irssi
%dir %{_libdir}/irssi/modules
%{_libdir}/irssi/modules/*.so*
# scripts & themes
%dir %{_datadir}/%{pkg_name}
%{_datadir}/%{pkg_name}/*
#perl
%dir %perl_vendorarch/Irssi
%perl_vendorarch/Irssi.pm
%perl_vendorarch/Irssi/*
%perl_vendorarch/auto/Irssi
# docs
%dir %_defaultdocdir/irssi
%docdir %_defaultdocdir/irssi/
%doc %_defaultdocdir/irssi/*
%doc %_mandir/man1/*.1%{ext_man}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/irssi.png
%if 0%{?suse_version} <= 1130
/var/adm/perl-modules/%{pkg_name}
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/irssi/

%changelog
